/* Arabic Language Styles */
html[lang="ar"][dir="rtl"] body,
html[lang="ar"][dir="rtl"] p,
html[lang="ar"][dir="rtl"] h1,
html[lang="ar"][dir="rtl"] h2,
html[lang="ar"][dir="rtl"] h3,
html[lang="ar"][dir="rtl"] h4,
html[lang="ar"][dir="rtl"] h5,
html[lang="ar"][dir="rtl"] h6,
html[lang="ar"][dir="rtl"] li,
html[lang="ar"][dir="rtl"] .entry-content,
html[lang="ar"][dir="rtl"] .widget {
  direction: unset !important;
  text-align: unset !important;
}
html[lang="ar"][dir="rtl"] ul,
html[lang="ar"][dir="rtl"] ol {
  padding-right: 0px !important;
  padding-left: 0 !important;
}
html[lang="ar"] {
  /* Header */
  .whb-header {
    .whb-main-header {
      .whb-general-header {
        .whb-general-header-inner {
          .wd-header-nav {
            .menu {
              .menu-item {
                &.menu-item-has-children {
                  > a {
                    flex-direction: row-reverse;
                  }
                }
                &::after {
                  left: -11px;
                }
              }
            }
          }
        }
      }
    }
  }
  /* Gold Api */
  .gold-price-dropdown-wrapper {
    & .dropdown-wrapper {
      .dropdown-content {
        left: 0;
        right: auto;
        .date-rate {
          gap: 10px;
        }
        .rates-wrapper {
          .rates-row-wrapper {
            .rates-list-wrapper {
              li {
                flex: 0 0 45%;
                span {
                  margin-left: 0px;
                  margin-right: 10px;
                }
              }
            }
          }
        }
      }
    }
  }
  /* Sub Menu Main */
  .sub-menu-wrapper {
    justify-content: flex-end;
    .sub-menu-flex-wrapper {
      display: flex;
      align-items: flex-start;
      flex-direction: row-reverse;
      height: 100%;
      .sub-menu-col {
        display: flex;
        flex-direction: column;
        gap: 20px;
        &.category-occasion-col {
          align-items: flex-end;
        }
        .sub-items-wrapper {
          &:not(:last-child) {
            margin-bottom: 10px;
          }
          h3 {
            font-family: var(--font-myriad);
            font-weight: 400;
            font-size: 18px;
            line-height: 100%;
            color: var(--grey);
          }
          ul {
            list-style: none;
            margin: 0;
            padding: 0;
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            gap: 20px;
            padding-left: 10px;
            flex-direction: row-reverse;
            li {
              display: flex;
              align-items: center;
              margin: 0;
              position: relative;
              &:not(:last-child)::after {
                content: "";
                display: inline-block;
                width: 1px;
                height: 39px;
                border-right: 1px solid #7d7a73;
                margin: 0 12px;
                position: absolute;
                top: -10px;
                right: -23px;
              }
              a {
                display: flex;
                flex-direction: column-reverse;
                align-items: center;
                gap: 8px;
                text-decoration: none;
                font-size: 13px;
                &:hover {
                  color: #000;
                }
                &::after {
                  display: none;
                }
                span {
                  font-family: var(--font-myriad);
                  font-weight: 300;
                  font-size: 18px;
                  line-height: 100%;
                  color: var(--grey);
                }
                img {
                  width: 67px;
                  height: 67px;
                  border-radius: 50%;
                  object-fit: cover;
                  display: block;
                  transition: opacity 0.2s ease;
                }
              }
            }
          }
        }
      }
    }
  }
  /* Common Button */
  .plain_abtn {
    flex-direction: row;
    gap: 5px;
    > img,
    svg {
      rotate: 180deg;
    }
  }
  /* Home Page */
  .arrow_19 .elementor-button-icon svg,
  .arrow_32 .elementor-button-icon svg {
    rotate: 180deg;
  }
  .spotlight-wrapper-container {
    .spotlight-flex-wrapper {
      .left-column-wrapper {
        .left-column-content {
          position: relative;
          padding-right: 46px;
          padding-left: 0;
          &::before {
            left: auto;
            right: 0;
          }
        }
        & .left-column-slider-wrapper {
          .jewellery-left-slide-wrapper {
            direction: ltr;
          }
          & .custom-dots-arrows-wrapper {
            flex-direction: row-reverse;
            .slick-dots {
              flex-direction: row-reverse;
            }
          }
        }
      }
    }
  }
  .our-brands-slider-container {
    .brands-slider-wrapper {
      direction: ltr;
    }
    .custom-dots-arrows-wrapper {
      flex-direction: row-reverse;
      .slick-dots {
        flex-direction: row-reverse;
      }
    }
  }
  .exclusive-collection-container {
    .exclusive-collection-slider {
      direction: ltr;
    }
    & .custom-dots-arrow-wrapper {
      flex-direction: row-reverse;
      .slick-dots {
        flex-direction: row-reverse;
      }
    }
  }
  /* Jewelery Page */
  .noha-product-list {
    & .products-footer {
      & .woocommerce-pagination {
        .page-numbers {
          flex-direction: row-reverse;
          .prev,
          .next {
            &::before {
              rotate: 180deg;
            }
          }
        }
      }
    }
  }
  /* Brands Page */
  .brands-container {
    .brands-desktop-container {
      .brands-slider-content-wrapper {
        direction: ltr;
      }
    }
  }
  /* Cart Page */
  .noha-cart-page {
    .cart-content-wrapper {
      .woocommerce-cart-form {
        .shop_table {
          tbody {
            .product-subtotal {
              .danat-certificate-wrapper {
                .danat-button-wrapper {
                  position: absolute;
                  right: auto;
                  left: 0;
                  bottom: -50px;
                  width: 150px;
                }
              }
            }
          }
        }
      }
      .cart_totals {
        & .cart-totals-inner {
          & table {
            th {
              padding-left: 0px;
              padding-right: 30px;
            }
            td {
              padding-right: 0px;
              padding-left: 30px;
            }
          }
        }
      }
    }
  }
  /* Checkout Page */
  .page-title-breadcrumbs {
    .noha-checkout-form {
      .woocommerce-checkout {
        .checkout-order-review {
          .woocommerce-checkout-review-order {
            .shop_table {
              tbody {
                .wd-checkout-prod-cont {
                  .wd-checkout-prod-total {
                    right: auto;
                    left: 0;
                    top: 30%;
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}

/* Vendor Login */
html[lang="ar"] {
  .vendor-login-form-container {
    .elementor-form {
      .elementor-form-fields-wrapper {
        .elementor-field-type-submit {
          button[type="submit"] {
            img {
              rotate: 180deg;
            }
          }
        }
      }
    }
    .elementor-button {
      .elementor-button-content-wrapper {
        .elementor-button-icon {
          svg {
            rotate: 180deg;
          }
        }
      }
    }
  }
}
